import { Router } from '@angular/router';
import { BindQueryParamsManager } from './bind-query-params-manager';
import { BindQueryParamsOptions, CreateOptions, QueryDefOptions } from './types';
import * as i0 from "@angular/core";
export declare class BindQueryParamsFactory {
    private router;
    private options;
    constructor(router: Router, options: BindQueryParamsOptions);
    create<T>(defs: QueryDefOptions<T>[] | QueryDefOptions<T>, createOptions?: CreateOptions): BindQueryParamsManager<T>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BindQueryParamsFactory, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BindQueryParamsFactory>;
}
